Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.page
Class PageIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>
              com.bea.portal.tools.resource.WebAppResourceIDBuilder<T>
                  com.bea.portal.tools.resource.ParentedResourceIDBuilder<T>
                      com.bea.portal.tools.portal.PortalParentedResourceIDBuilder<T>
                          com.bea.portal.tools.portal.DesktopParentedResourceIDBuilder<PageID>
                              com.bea.portal.tools.portal.page.PageIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public class PageIDBuilder

extends DesktopParentedResourceIDBuilder<PageID>

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PageIDBuilder()` Constructor.

Method Summary
`PageID` | `createResourceID()` Create the `PageID`.
`BookID` | `getBookID()` Returns the `BookID` that this page is placed on.
`BookInstanceId` | `getBookInstanceId()` Returns the `BookInstanceId` that this page is placed on.
`PageInstanceId` | `getPageInstanceId()` Get the `PageInstanceId`.
`protected BookID` | `narrowParentedResourceID(ResourceID parentedResourceID)` Use this to narrow to a specific resourceId type in subclasses
`PageIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PageIDBuilder` | `setPageInstanceId(PageInstanceId pageInstanceId)` Change the `PageInstanceId`.

Methods inherited from class com.bea.portal.tools.portal.DesktopParentedResourceIDBuilder
`getDesktopDefinitionID, setDesktopDefinitionID`

Methods inherited from class com.bea.portal.tools.portal.PortalParentedResourceIDBuilder
`getPortalID, setPortalID`

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceIDBuilder
`getParentResourceID, getRawParentResourceID, setParentResourceID`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceIDBuilder
`getWebApp, getWebAppResourceID, setWebApp, setWebAppResourceID`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageIDBuilder

    public PageIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PageIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `PageIDBuilder`

  Overrides:
    `parseResourceURN` in class `DesktopParentedResourceIDBuilder<PageID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getPageInstanceId

    public PageInstanceId getPageInstanceId()

  Get the `PageInstanceId`.

  Returns
    the `PageInstanceId`

### setPageInstanceId

    public PageIDBuilder setPageInstanceId(PageInstanceId pageInstanceId)

  Change the `PageInstanceId`.

  Parameters
    `pageId` - the `PageInstanceId`
  Returns
    this `PageIDBuilder`

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

  Returns the `BookInstanceId` that this page is placed on. If the `bookinstid` was not specified in the resource urn this method returns `null`.

  Returns
    `BookInstanceId` that this page is placed on

### getBookID

    public BookID getBookID()

  Returns the `BookID` that this page is placed on. If the `bookinstid` was not specified in the resource urn this method returns `null`.

  Returns
    `BookID` that this page is placed on

### createResourceID

    public PageID createResourceID()

  Create the `PageID`. the `PageID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PageID>`
  Returns
    the `ResourceID`

### narrowParentedResourceID

    protected BookID narrowParentedResourceID(ResourceID parentedResourceID)

  Description copied from class: `ParentedResourceIDBuilder`
  Use this to narrow to a specific resourceId type in subclasses

  Overrides:
    `narrowParentedResourceID` in class `DesktopParentedResourceIDBuilder<PageID>`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.